Skip to main content
GET
/
v1
/
market
/
{symbol}
/
next-market-calendar-transition
Get next market calendar transition
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/market/{symbol}/next-market-calendar-transition \
  --header 'Authorization: Bearer <token>'
{
  "calendarUri": "<string>",
  "loadedAt": "2023-11-07T05:31:56Z",
  "market": "<string>",
  "marketCalendarId": "<string>",
  "utcNextTransition": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

symbol
string
required

Market symbol

Response

Next market calendar transition

calendarUri
string
required
currentState
enum<string>
required
Available options:
open,
afterHours
loadedAt
string<date-time>
required
market
string
required
marketCalendarId
string
required
nextMarketState
null | enum<string>
Available options:
open,
afterHours
utcNextTransition
string<date-time> | null